import typescript from "@rollup/plugin-typescript";
import sveltePreprocess from "svelte-preprocess";

import "./common.css";

export * from './ServiceWorker.wc.svelte'

// import ServiceWorker from './ServiceWorker.wc.svelte';
import OnlineStatus from './OnlineStatus.svelte';
import Player from './Player.svelte';
import Programme from './Programme.svelte';
import TrackService from './TrackService.svelte';
import HostList from './HostList.svelte';
import HostDetail from './HostDetail.svelte';
import ShowList from './ShowList.svelte';
import ShowDetail from './ShowDetail.svelte';
import EpisodeDetail from './EpisodeDetail.svelte';

/** Inject non web-components into HTML **/
declare const window: any;

window.OnlineStatus = function (options : any) {
    return new OnlineStatus(options);
};
window.AuraPlayer = function (options : any) {
    return new Player(options);
};
window.AuraHostList = function (options : any) {
    return new HostList(options);
};
window.AuraHostDetail = function (options : any) {
    return new HostDetail(options);
};
window.AuraShowList = function (options : any) {
    return new ShowList(options);
};
window.AuraShowDetail = function (options : any) {
    return new ShowDetail(options);
};
window.AuraEpisodeDetail = function (options : any) {
    return new EpisodeDetail(options);
};
window.AuraProgramme = function (options : any) {
    return new Programme(options);
};
window.AuraTrackService = function (options : any) {
    return new TrackService(options);
};